﻿using System;
using System.Web;

namespace AsyncFactoryWEB
{
    public class AspxAsyncHandler:IHttpAsyncHandler
    {

        public AspxAsyncHandler(IHttpHandler handler)
        {
            this.handler = handler;
        }

        private IHttpHandler handler;
        private HttpContext context;

        public IAsyncResult BeginProcessRequest(HttpContext context, AsyncCallback cb, object extraData)
        {
            this.context = context;

            AspxAsyncResult result = new AspxAsyncResult(context,handler,cb);
            CommonPageFactory.taskQueue.Add(result);

            //foreach (Worker worker in CommonPageFactory.taskQueue.workers)
            //{
            //    context.Response.Write(string.Format("Worker instance {0} <br>",CommonPageFactory.taskQueue.index.ToString()));
            //}

            return result;
            
        }

        public void EndProcessRequest(IAsyncResult result)
        {
            //context.Response.Write(string.Format("Request has been finished at {0}",DateTime.Now.ToString()));
        }

        public bool IsReusable
        {
            get { return false; }
        }

        public void ProcessRequest(HttpContext context)
        {
            throw new NotImplementedException();
        }
    }
}
