﻿using System.Web;
using System.Web.UI;

namespace AsyncFactoryWEB
{
    public class CommonPageFactory:PageHandlerFactory
    {
        static CommonPageFactory()
        {
            taskQueue = new TaskQueue(20);
        }

        public static TaskQueue taskQueue;

        public override IHttpHandler GetHandler(HttpContext context, string requestType, string virtualPath, string path)
        {
            AspxAsyncHandler handler = new AspxAsyncHandler(base.GetHandler(context, requestType, virtualPath, path));

            return handler;
        }
    }
}
