﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net.Sockets;

namespace AsyncSocketServer
{
    public class AsyncServerState
    {
        public byte[] Buffer = new byte[512]; //buffer for network i/o   
        public int DataSize = 0; //data size to be received by the server    
        //flag that indicates whether prefix was received   
        public bool DataSizeReceived = false;   
        public MemoryStream Data = new MemoryStream(); //place where data is stored  
        public SocketAsyncEventArgs ReadEventArgs = new SocketAsyncEventArgs(); 
        public Socket Client;
    }
}
