﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net.Sockets;

namespace SocketServer
{
    class AsyncServerState
    {
        public byte[] Buffer = new byte[512];          //buffer for network i/o   
        public int DataSize = 0;                       //data size to be received by the server     
        public bool DataSizeReceived = false;          //flag that indicates whether prefix was received   
        public MemoryStream Data = new MemoryStream(); //place where data is stored  
 
        public SocketAsyncEventArgs ReadEventArgs = new SocketAsyncEventArgs();   
        public Socket Client;
    }
}
